summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-07-23 09:44:48 +0200
committerHans de Graaff <graaff@gentoo.org>2017-07-23 09:44:48 +0200
commit79d6b5298d081b85f2dbcf656c11af0e62722318 (patch)
treee978ec5e229034bf565552c88b813b949b566927 /app-eselect/eselect-ruby
parentapp-eselect/eselect-ruby: cleanup (diff)
downloadgentoo-79d6b5298d081b85f2dbcf656c11af0e62722318.tar.gz
gentoo-79d6b5298d081b85f2dbcf656c11af0e62722318.tar.bz2
gentoo-79d6b5298d081b85f2dbcf656c11af0e62722318.zip
app-eselect/eselect-ruby: remove legacy unversioned library link, bug 582672
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'app-eselect/eselect-ruby')
-rw-r--r--app-eselect/eselect-ruby/Manifest1
-rw-r--r--app-eselect/eselect-ruby/eselect-ruby-20170723.ebuild22
2 files changed, 23 insertions, 0 deletions
diff --git a/app-eselect/eselect-ruby/Manifest b/app-eselect/eselect-ruby/Manifest
index a3c82891aa0..71a74b6ecd3 100644
--- a/app-eselect/eselect-ruby/Manifest
+++ b/app-eselect/eselect-ruby/Manifest
@@ -1,2 +1,3 @@
DIST ruby.eselect-20131227.bz2 1920 SHA256 b425962f9898ceb8bcdbb55d9648f3d98b82a916c4afa95b2fb1ddcd39cc3689 SHA512 9f13d4a6dc45923f88b145984f9c537846d4cb937b73c2be916792c70ff3c751f1e12b76f33686e35053bf6af1392e6c7e276f06dfb728e6a20f6335f739b784 WHIRLPOOL 38135af69952aff7cf874608365029947733733d33a3c586367ccf6fceb1bf2236781c9fe554a5654f720c19ef0fb0bd3dd5773a108386c6185a2fc2d94ac37b
DIST ruby.eselect-20161226.xz 1900 SHA256 55e1c16e92748c2853620780fbd9db8a28a88cb5e2dd1bfe92d104be8b60397f SHA512 69cf17e42d9908fdfc9b08a3ca2c1f406a5968fc1c22663cc4b2388ad29d3bdb8aec4f0210ce9d5c118514aea81a4465a299347dd702f859ba8660fcb3882f17 WHIRLPOOL e09a8964e77cd8293ca3fac41cf6bd819004bd62f4cdec0eae35b331073b175bd4085631660bcead0e93510bc7ada051070d2316aad3de6bd17d8cb0156fd6e3
+DIST ruby.eselect-20170723.xz 1972 SHA256 c383871ce89a06c0fbaaa595a6746516556a17184146623abf3983402fbe342b SHA512 9c0614bc7e2ce9811466f257035d74622a96db8d44aa0908414fbac7d4142c34350257b08ace7371901e46cc0c9a38c3f2acae3caea4fb354ccc37b8c919b48f WHIRLPOOL 192c27a562536e848fa60e2ab1998c56308cf89655f86c887de4a9b58c2cf0efb7d8b8ec97f0018f865002d9d9b01d792d5cde6aeb8ca9feb8ec8d62480ce772
diff --git a/app-eselect/eselect-ruby/eselect-ruby-20170723.ebuild b/app-eselect/eselect-ruby/eselect-ruby-20170723.ebuild
new file mode 100644
index 00000000000..8cd0413703d
--- /dev/null
+++ b/app-eselect/eselect-ruby/eselect-ruby-20170723.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Manages multiple Ruby versions"
+HOMEPAGE="https://www.gentoo.org"
+SRC_URI="https://dev.gentoo.org/~graaff/ruby-team/ruby.eselect-${PVR}.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND=">=app-admin/eselect-1.0.2"
+
+S=${WORKDIR}
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ newins "${WORKDIR}/ruby.eselect-${PVR}" ruby.eselect || die
+}